#include <stdio.h>
#include <stdlib.h>
#include <types.h>
#include <netinet\in.h>
#include <sys\socket.h>
#include <sys/time.h>

main(int argc, char *argv[])
{
    unsigned short port;       /* port server binds to                  */
    struct sockaddr_in client; /* client address information            */
    struct sockaddr_in server; /* server address information            */
    int s,ns,namelen;

    printf("sock_init()\n");
    sock_init();
    port = 20201;

    printf("socket()\n");
    if ((s = socket(PF_INET, SOCK_STREAM, 0)) < 0)
    {
        psock_errno("Socket()");
        exit(2);
    }

    server.sin_family = AF_INET;
    server.sin_port   = htons(port);
    server.sin_addr.s_addr = INADDR_ANY;

    printf("bind()\n");
    if (bind(s, (struct sockaddr *)&server, sizeof(server)) < 0)
    {
       psock_errno("Bind()");
       exit(3);
    }
    printf("listen()\n");
    if (listen(s, 1) != 0)
    {
        psock_errno("Listen()");
        exit(4);
    }

    namelen = sizeof(client);
    printf("accept()\n");
    if ((ns = accept(s, (struct sockaddr *)&client, &namelen)) == -1)
    {
        psock_errno("Accept()");
        exit(5);
    }

    printf("soclose()\n");
    soclose(ns);
    soclose(s);

    printf("Server ended successfully\n");
    exit(0);
}


